namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "guardian_of_alola")]
public class GuardianOfAlola : Script, IScriptChangeMoveDamage
{
    /// <inheritdoc />
    public void ChangeMoveDamage(IExecutingMove move, IPokemon target, byte hit, ref uint damage)
    {
        var maxHp = target.BoostedStats.Hp;
        damage = (uint)(maxHp * (3f / 4f));
    }
}